summaryrefslogtreecommitdiffstats
path: root/misc/xdelta3
diff options
context:
space:
mode:
author Hunter Sezen <orbea@riseup.net>2019-05-09 23:50:48 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2019-05-09 23:50:48 +0700
commit1f03f34b162d9fa6bd9247fb41cec508529b9386 (patch)
tree88bd4b00147447776b38b4f1c953bcee4b4b84ff /misc/xdelta3
parent1b9f28aa448c3aa630b8832403c606e99da29e83 (diff)
downloadslackbuilds-1f03f34b162d9fa6bd9247fb41cec508529b9386.tar.gz
slackbuilds-1f03f34b162d9fa6bd9247fb41cec508529b9386.tar.xz
misc/xdelta3: Update script.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'misc/xdelta3')
-rw-r--r--misc/xdelta3/xdelta3.SlackBuild16
-rw-r--r--misc/xdelta3/xdelta3.info2
2 files changed, 11 insertions, 7 deletions
diff --git a/misc/xdelta3/xdelta3.SlackBuild b/misc/xdelta3/xdelta3.SlackBuild
index 32aedcb3c1..5fefaac68a 100644
--- a/misc/xdelta3/xdelta3.SlackBuild
+++ b/misc/xdelta3/xdelta3.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for xdelta3
#
-# Copyright 2016 Hunter Sezen California, USA
+# Copyright 2016, 2019 Hunter Sezen California, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,9 +23,9 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=xdelta3
-SRCNAM=$(echo $PRGNAM | cut -f1 -d"3")
+SRCNAM=${PRGNAM%3}
VERSION=${VERSION:-3.0.11}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -55,7 +55,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -63,6 +63,8 @@ cd $TMP
rm -rf $SRCNAM-$VERSION
tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
cd $SRCNAM-$VERSION
+# dangling symlink
+rm -f ./$PRGNAM/py-compile
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -71,7 +73,9 @@ find -L . \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
cd $PRGNAM
+
autoreconf -fi
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -84,8 +88,8 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" |
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
diff --git a/misc/xdelta3/xdelta3.info b/misc/xdelta3/xdelta3.info
index 5c32132a89..633014d935 100644
--- a/misc/xdelta3/xdelta3.info
+++ b/misc/xdelta3/xdelta3.info
@@ -7,4 +7,4 @@ DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
MAINTAINER="Hunter Sezen"
-EMAIL="orbea@fredslev.dk"
+EMAIL="orbea@riseup.net"